On this page
No Headings
Customizes the buyer experience during the approval process for payment with Venmo.
Note: Partners and Marketplaces might configure shipping_preference during partner account setup, which overrides the request values.objectbrand_namestring^.*$The business name of the merchant. The pattern is defined by an external party and supports Unicode.
shipping_preferencestring"GET_FROM_FILE", "NO_SHIPPING", "SET_PROVIDED_ADDRESS""GET_FROM_FILE"The location from which the shipping address is derived.
order_update_callback_configobjectCallBack Configuration that the merchant can provide to PayPal/Venmo.
Merchant provided Order Update callback configuration for Venmo Wallet.Venmo will call back merchant when the specified event occurs.we recommend merchants to pass both the shipping_options and shipping_address callback events. Not supported when shipping.type is specified or when 'application_context.shipping_preference' is set as 'NO_SHIPPING' or 'SET_PROVIDED_ADDRESS'.
callback_eventsrequiredarrayAn array of callback events merchant can subscribe to for the corresponding callback url.
itemsstring"SHIPPING_ADDRESS", "SHIPPING_OPTIONS"CallBack event.
callback_urlrequiredstringuriMerchant provided CallBack url.PayPal/Venmo will use this url to call the merchant back when the events occur .PayPal/Venmo expects a secured url usually in the https format.merchant can append the cart id or other params part of the url as query or path params.
user_actionstring"CONTINUE", "PAY_NOW""CONTINUE"Configures a Continue or Pay Now checkout flow.